Upstream information

CVE-2010-3316 at MITRE

Description

The run_coprocess function in pam_xauth.c in the pam_xauth module in Linux-PAM (aka pam) before 1.1.2 does not check the return values of the setuid, setgid, and setgroups system calls, which might allow local users to read arbitrary files by executing a program that relies on the pam_xauth PAM check.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.3
Vector AV:L/AC:M/Au:N/C:P/I:P/A:N
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 631802 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • pam >= 1.0.4-0.7.1
  • pam-32bit >= 1.0.4-0.9.1
  • pam-doc >= 1.0.4-0.7.1
  • pam-x86 >= 1.0.4-0.9.1
Patchnames:
slessp1-pam


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 pam Unsupported
SLED-10-SP4 pam Released
SLES-10-SP3 pam Released
SLES-10-SP4 pam Released
SLES_LTSS-10-SP4 pam Released
SUSE Linux Enterprise Desktop 11 SP1 pam Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search pam Released
SUSE Linux Enterprise Server 11 SP1 pam Released
SUSE Linux Enterprise Server 11 SP1 LTSS pam Released
SUSE Linux Enterprise Server for SAP Business All-in-One pam Released
SUSE Linux Enterprise Software Development Kit 11 SP1 pam Released